### 8.80 `EXPONENT` — Exponent function

Description:
  `EXPONENT(X)` returns the value of the exponent part of X. If X is zero the value returned is zero.
Standard:
  Fortran 95 and later
Class:
  Elemental function
Syntax:
  `RESULT = EXPONENT(X)`
Arguments:

  X | The type shall be `REAL`.

Return value:
  The return value is of type default `INTEGER`.
Example:

                program test_exponent
                  real :: x = 1.0
                  integer :: i
                  i = exponent(x)
                  print *, i
                  print *, exponent(0.0)
                end program test_exponent